Loading...
Searching...
No Matches
OgreHardwareBuffer.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreException.h"`

## Classes

class | Ogre::HardwareBuffer
| Abstract class defining common features of hardware buffers. More...
struct | Ogre::HardwareBufferLockGuard
| Locking helper. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef HardwareBuffer | Ogre::HardwareCounterBuffer
typedef HardwareBuffer | Ogre::HardwareUniformBuffer

## Enumerations

enum | Ogre::HardwareBufferUsage : uint8 { Ogre::HBU_GPU_TO_CPU = 1 , Ogre::HBU_CPU_ONLY = 2 , Ogre::HBU_DETAIL_WRITE_ONLY = 4 , Ogre::HBU_GPU_ONLY = HBU_GPU_TO_CPU | HBU_DETAIL_WRITE_ONLY , Ogre::HBU_CPU_TO_GPU = HBU_CPU_ONLY | HBU_DETAIL_WRITE_ONLY }
| Enums describing buffer usage. More...